RANDOM_ETHER_ADDR(9)

NAME
random_ether_addr - Generate software assigned random Ethernet address

SYNOPSIS

void random_ether_addr (u8 * addr);

ARGUMENTS

addr
    Pointer to a six-byte array containing the Ethernet address

DESCRIPTION

Generate a random Ethernet address (MAC) that is not multicast and has the local assigned bit set.